This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 90859 - confusing errors from up2date
confusing errors from up2date
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-14 15:37 EDT by Chris Ricker
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 11:35:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2003-05-14 15:37:42 EDT
I just ran up2date to install the new kernel errata, and got the following:

[root@hanuman root]# up2date --nox -u

Fetching package list for channel: redhat-linux-i386-9...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-9...
########################################

Fetching rpm headers...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
kernel-2.4.20-13.9.i586.rpm ########################## Done.                   
kernel-source-2.4.20-13.9.i SSL exception (104, 'Connection reset by peer')rem.
SSL exception (-1, 'Unexpected EOF')
error: rpmts_HdrFromFdno: V3 DSA signature: BAD, key ID db42a60e
The package kernel-source-2.4.20-13.9 does not have a valid GPG signature.
It has been tampered with or corrupted.  Aborting...

************ GPG VERIFICATION ERROR ****************
The package kernel-source-2.4.20-13.9 failed its gpg signature verification.
This means the package is corrupt.
****************************************************

[root@hanuman root]#

As near as I can tell, what happened here is that the file transfer was
interrupted. Instead of an error stating that and asking me to try again, I get
all the nonsense about tampered with packages....

So, I try a second time:

[root@hanuman root]# up2date --nox -u

Fetching package list for channel: redhat-linux-i386-9...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-9...
########################################

Fetching rpm headers...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
kernel-2.4.20-13.9.i586.rpm ########################## Done.                   
error: rpmts_HdrFromFdno: MD5 digest: BAD
Expected(36cc40feb609b31dad1bd93e7cd68073) != (a54fb09e2c54d98f75a35d9b549fa26b)
kernel-source-2.4.20-13.9.i ######################      43 k/sec, 00:01:52 rem.

Now, its not at all clear what the

error: rpmts_HdrFromFdno: MD5 digest: BAD
Expected(36cc40feb609b31dad1bd93e7cd68073) != (a54fb09e2c54d98f75a35d9b549fa26b)

spewage means. Presumably its being triggered by the incomplete kernel-source
rpm kicking around from the prior dropped download?

At any rate, all these errors need to be made meaningfully readable by end users....
Comment 1 Adrian Likins 2004-08-20 16:43:43 EDT
current versions of rpm shouldnt spew quite as much...
Comment 2 John Thacker 2006-04-22 11:35:44 EDT
Fixed in a later version of rpm

Note You need to log in before you can comment on or make changes to this bug.